package com.gingersoft.gsa.cloud.ui.bean.view;

import com.gingersoft.gsa.cloud.ui.bean.mode.BrandsBean;
import com.qmuiteam.qmui.widget.section.QMUISection.Model;

import java.util.Objects;

/**
 * 單個文字
 */
public class SectionRestaurantItem implements Model<SectionRestaurantItem> {
    public BrandsBean.BrandsData.RestaurantsBean restaurantsBean;

    public SectionRestaurantItem(BrandsBean.BrandsData.RestaurantsBean restaurantsBean) {
        this.restaurantsBean = restaurantsBean;
    }

    public BrandsBean.BrandsData.RestaurantsBean getRestaurantsBean() {
        return restaurantsBean;
    }

    @Override
    public SectionRestaurantItem cloneForDiff() {
        return new SectionRestaurantItem(restaurantsBean);
    }

    @Override
    public boolean isSameItem(SectionRestaurantItem other) {
        return Objects.equals(restaurantsBean, other.restaurantsBean);
    }

    @Override
    public boolean isSameContent(SectionRestaurantItem other) {
        return true;
    }
}
